InvalidAlgorithmParameterException (Java Platform SE 8 )
Keywords: java.security.InvalidAlgorithmParameterException class
Date: 2026-08-19

compact1, compact2, compact3
java.security

## Class InvalidAlgorithmParameterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - java.security.InvalidAlgorithmParameterException

- All Implemented Interfaces:
    Serializable

      public class InvalidAlgorithmParameterException
      extends GeneralSecurityException

  This is the exception for invalid or inappropriate algorithm parameters.
  Since:
    1.2
  See Also:
    `AlgorithmParameters`, `AlgorithmParameterSpec`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidAlgorithmParameterException()` Constructs an InvalidAlgorithmParameterException with no detail message.
    `InvalidAlgorithmParameterException(String msg)` Constructs an InvalidAlgorithmParameterException with the specified detail message.
    `InvalidAlgorithmParameterException(String message, Throwable cause)` Creates a `InvalidAlgorithmParameterException` with the specified detail message and cause.
    `InvalidAlgorithmParameterException(Throwable cause)` Creates a `InvalidAlgorithmParameterException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidAlgorithmParameterException

          public InvalidAlgorithmParameterException()

      Constructs an InvalidAlgorithmParameterException with no detail message. A detail message is a String that describes this particular exception.

    - #### InvalidAlgorithmParameterException

          public InvalidAlgorithmParameterException(String msg)

      Constructs an InvalidAlgorithmParameterException with the specified detail message. A detail message is a String that describes this particular exception.
      Parameters:
        `msg` - the detail message.

    - #### InvalidAlgorithmParameterException

          public InvalidAlgorithmParameterException(String message,
                                                    Throwable cause)

      Creates a `InvalidAlgorithmParameterException` with the specified detail message and cause.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
      Since:
        1.5

    - #### InvalidAlgorithmParameterException

          public InvalidAlgorithmParameterException(Throwable cause)

      Creates a `InvalidAlgorithmParameterException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).
      Parameters:
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
      Since:
        1.5

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.